﻿--- Floating Text ---
local addonName, addonTable = ...

local f
local s

addonTable.Dispose_FT = function()
 if f then f.text = nil end
 f = nil
end

addonTable.SetFTText = function(str)
 s = "|cffff00ff"..str.."|r"
end

addonTable.CreateFloatingText = function(parent,str,duration)
 if not Wowzzle_Mainframe then return end

 if not f then
  f = CreateFrame("FRAME")
  f:SetParent(parent)
  f:SetWidth(70)
  f:SetHeight(70)
  f:SetFrameStrata("DIALOG")
  f.text = f:CreateFontString(nil, "OVERLAY")
  f.text:SetFont("Fonts\\ARIALN.TTF", 48, "OUTLINE")
  f.text:SetAllPoints()
 end
 
 addonTable.SetFTText(str)

 f:SetPoint("CENTER",parent,"CENTER",0,0)
 f.starttime = GetTime()
 f.text:SetText(s)
 f:SetWidth(f.text:GetStringWidth())
 local counter = 0
 f:Show()
 f:SetScript("OnUpdate", function(self)
  counter = counter + 1
  if GetTime() >= f.starttime + duration then
   f:Hide()
   f:SetScript("OnUpdate", nil)
  end
  f:SetPoint("CENTER",parent,"CENTER",math.sin(f.starttime - GetTime())*50, counter/2)
 end)   
end